/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: Book.java 62592 2011-04-20 20:07:16Z kgrucci $
 */

/* 
 * Simple multi-member class to be used for type coercion tests. 
 */

package com.sun.ts.tests.common.el.spec;

public class Book {

    private String title;
    private String authors;
    private String publisher;
    private int year;
 
    public Book(String title, String authors, String publisher, int year) {
        this.title = title;
        this.authors = authors;
        this.publisher = publisher;
        this.year = year;
    }

    public String getTitle() {
        return title;
    }

    public String getAuthors() {
        return authors;
    }

    public String getPublisher() {
        return publisher;
    }

    public int getYear() {
        return year;
    }

    public String toString() {
        return getTitle();
    }
}
